lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mikhail Khludnev <m...@apache.org>
Subject Re: Issue in consuming Lucene plugin
Date Tue, 08 Oct 2019 07:29:38 GMT
Hello, Rosa.

You can try to replace them to
org.apache.lucene.queryparser.classic.QueryParser
org.apache.lucene.queryparser.classic.ParseException
org.apache.lucene.search.IndexSearcher
Though, migrating from 2.9 to 7 might have high mileage.

On Tue, Oct 8, 2019 at 5:32 AM Rosa Margarita Casillas <magocg@mx1.ibm.com>
wrote:

> Hi team,
>
> I am from the Data Studio team, we are consuming the
> *org.apache.lucene.core* plugin in our source code. Where in we updated
> the *org.apache.lucene.core* version from  *2.9.0 to 7.1.0**(supported by
> Photon)*.
> But doing that gives us the compilation error in below statements,
>
>
>
> *import org.apache.lucene.queryParser.ParseException;import
> org.apache.lucene.queryParser.QueryParser;import
> org.apache.lucene.search.Searcher;*
>
>
> *Seems like cant find it*
>
> Can you please let us know how to resolve these imports? does something
> changed about that classes in new Photon content from previous versions?
>
> Thank you,
> Rosa Casillas
>
> --------------------------------------------------------------------- To
> unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org For additional
> commands, e-mail: dev-help@lucene.apache.org



-- 
Sincerely yours
Mikhail Khludnev

Mime
View raw message